Package org.bukkit.entity

# Enum Class AbstractArrow.PickupRule

java.lang.Object
java.lang.Enum<AbstractArrow.PickupRule>
org.bukkit.entity.AbstractArrow.PickupRule

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractArrow.PickupRule>`, `Constable`

Enclosing interface:
  AbstractArrow

@Deprecated public static enum AbstractArrow.PickupRule extends Enum<AbstractArrow.PickupRule>
Deprecated.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOWED`
Deprecated.
`CREATIVE_ONLY`
Deprecated.
`DISALLOWED`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static AbstractArrow.PickupRule`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static AbstractArrow.PickupRule[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISALLOWED

public static final AbstractArrow.PickupRule DISALLOWED
Deprecated.

### ALLOWED

public static final AbstractArrow.PickupRule ALLOWED
Deprecated.

### CREATIVE_ONLY

public static final AbstractArrow.PickupRule CREATIVE_ONLY
Deprecated.

## Method Details

### values

public static AbstractArrow.PickupRule[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractArrow.PickupRule valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null